<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or 
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

//Comprobamos si el formulario esta correctamente rellenado:
$user=$_POST['user'];
$password=$_POST['password'];
$repassword=$_POST['repassword'];
$first_name=$_POST['first_name'];
$second_name=$_POST['second_name'];
$email=$_POST['email'];
$country=$_POST['country'];
$sex=$_POST['sex'];
$day=$_POST['day'];
$month=$_POST['month'];
$year=$_POST['year'];
$create_time=time();

$error=0;
$mensaje_head = "Congratulations!";
$mensaje = "Your new account has been created successfully";
//No se han completado todos los campos
if (("$user"=="") || ("$password"=="") || ("$repassword"=="") || ("$email"=="")) {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="All obligatory fields must be completed";
	$error=1;
}
//Comprobamos que el nombre de usuario es correcto
//else if (ereg("[\\/:*?\"<>|\']", $user) == TRUE) {
else if (preg_match("/[\\/:*?\"<> |\']/", $user) == TRUE) {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="The user name is incorrect.<br /><br />Please, don't use: \, /, :, *, ?, \", <, >,  , |, '";
	$error=1;
}
//El password y el repassword no son iguales
else if ("$password"!="$repassword") {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="Password and Re-Password are diferent";
	$error=1;
}
//Comprobamos que el mail es correcto
//Comprobamos si no tiene @ o no tiene texto antes de la @
else if ( (strrpos($email,'@')==FALSE) || (strrpos($email,'@')==0) ) {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="The e-mail is incorrect";
	$error=1;
}
//Comprobamos si hay mas de una @ o no tiene . despues de la @
else if ( (substr_count($email,'@')>1) || (stristr(substr(stristr($email,'@'),1),'.')==FALSE) ) {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="The e-mail is incorrect";
	$error=1;
}
//El formulario esta correctamente rellenado
else {
	//Recogemos los datos de conexion de la base de datos
	require('../../config/connect_config.php');

	//Establecemos la conexion con el servidor
	$conexion=mysql_connect($db_host,$db_user,$db_password);

	//Asignamos la conexion a una base de datos determinada
	mysql_select_db($db_name,$conexion);

	//Preparamos los datos para almacenarlos correctamente en el BBDD
	$user=strtolower($user);
	$password=sha1($password);

	//Recogemos en una variable el nombre de la TABLA
	$tabla="user";
	
	//Añadimos el nuevo registro
	$query="INSERT $tabla (user,password,first_name,second_name,email,country,sex,day,month,year,create_time)
			VALUES ('$user','$password','$first_name','$second_name','$email','$country','$sex','$day','$month','$year',$create_time)";
	mysql_query($query, $conexion);
	
			 
	//Comprobamos el resultado de la insercion
	//el error CERO significa NO ERROR
	//el error 1062 significa Clave duplicada
	//en otros errores forzamos a que nos ponga el número de error
	//y el significado de ese error (aunque sea en ingles)....
	if (mysql_errno($conexion)==0) {
		//Si no existe la carpeta de usuarios la creamos
		if (!file_exists("../../users")) {
			mkdir("../../users", 0777);
			chmod("../../users", 0777);
		}
	
		//Creamos el directorio del usuario
		mkdir("../../users/$user", 0777);
		chmod("../../users/$user", 0777);
		
		//Iniciamos la sesion
		session_save_path(realpath("../../sessions"));
		session_start();
		$_SESSION['s_user']=$user;
		
		//Indicamos que no ha habido errores
		$error=0;
	}
	else {
		$mensaje_head = "Sorry, there are errors with data";
		if (mysql_errno($conexion)==1062){
			$mensaje="There is another user with this user name";
			$error=1;
		}
		else { 
			$numerror=mysql_errno($conexion);
        	$descrerror=mysql_error($conexion);
        	$mensaje="Error nº $numerror: $descrerror";
			$error=1;
	    }
	}

	//Cerramos la conexion
	mysql_close($conexion); 
} 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
	/*<![CDATA[*/
        function volver() {
        	history.back()
        }
	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
		<?php include("head_account.php"); ?>
        <div id="content">
            <div id="content_left">        
                <?php
                //Creamos la tabla de las opciones de la izquierda
                if ($error!=1) {
                    include("menu_account.php");
                } else { 
                ?>
                    <ul class="box_left">
                        <li class="box_title"><img src="../../images/general/box_account.png" alt="Account" />Account</li>
                        <li><img src="../../images/general/box_bullet.png" alt="bullet"/><a onclick="volver()" href="#">Back</a></li>
                    </ul>
                <?php } ?>        
            </div>
            
            <div id="content_center">
                <div id="result_server">
                    <h2><?php echo $mensaje_head ?></h2>
                    <p><?php echo $mensaje ?></p>
					<?php if ($error==1) { ?>
	                    <button onclick="volver()">Back</button>
	                <?php } ?> 
                </div>
            </div>
        </div>
        <?php include("foot_account.php"); ?>
	</div>
</body>
</html>
