<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

session_save_path(realpath("../../sessions"));
session_start();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
	<link href="../../styles/general.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <div id="all">
		<?php include("head_sections.php"); ?>
        <div id="content">

            <div id="content_left">
				<?php include("menu_about_sections.php") ?>
			</div>
            
            <div id="content_center">
				<h2>About Website</h2>
				<p>This website is implemented in <a href="http://php.net/" target="_blank">PHP</a> and JavaScript, and use <a href="http://www.mysql.org/" target="_blank">MySQL</a> data base. Source code of it is available in <a href="http://sourceforge.net/projects/webdevstudio/" target="_blank">SourceForge</a></p>
				<p>Site is hosted on <a href="http://fi.upm.es">Facultad de Informatica - UPM</a>.</p>
				<p>We also try to make website valid XHTML and CSS standars.</p>
				
				<h2>About WebDevStudio</h2>
				<h3>Milestone releases</h3>
				<ul>
					<li>1.0 (13 December 2006):
						<ul>
							<li>First release</li>
						</ul>
					</li>
					<li>1.1 (14 March 2007): 
						<ul>
							<li>Cross-compile included (Linux Servers).</li>
							<li>Code editor updated. Refresh bug solved.</li>
							<li>Admin can read projects files.</li>
							<li>Register account disabled before login.</li>
							<li>More compilation details (POSIX/C projects).</li>
							<li>New header and foot page sections.</li>							
						</ul>
					</li>
					<li>1.2 (26 March 2007):
						<ul>
							<li>News section, with recently and archived news.</li>
							<li>Description section, a short description about this application.</li>
							<li>Operation section, a detailed description about diferent parts of this application.</li>
						</ul>
					</li>
					<li>1.3 (29 March 2007): 
						<ul>
							<li>New code editor with highlighting (Codepress).</li>
							<li>Disabled Win32 projects.</li>
							<li>Deleted show function of project section.</li>
						</ul>
					</li>
					<li>1.4 (25 April 2007): 
						<ul>
							<li>New result zone with tabs.</li>
							<li>New command line.</li>
							<li>New register account form.</li>
							<li>Hidden backups folder.</li>
						</ul>
					</li>
					<li>1.5 (7 May 2007): 
						<ul>
							<li>New visual design.</li>
							<li>Fixed some bugs.</li>
						</ul>
					</li>
					<li>1.6 (18 May 2007): 
						<ul>
							<li>New file explorer.</li>
							<li>Manage file with emerget menu in file explorer.</li>
							<li>New dialog windows.</li>
							<li>Multiple file editting with tabs.</li>
							<li>Included AJAX technology.</li>
						</ul>
					</li>
					<li>1.7 (8 August 2009):
						<ul>
							<li>New code editor based on EditArea, with suggest code.</li>
							<li>New UNIX and Win32 projects (cross compiling) support.</li>
							<li>New and more emergent menus, in file explorer and tabs.</li>
							<li>New dialog windows.</li>
							<li>New resizable and sortable modules and tabs on workarea.</li>
							<li>New actions (fullscreen, search and remplace, print, ...) on workarea.</li>
							<li>New log tab on command console.</li>
							<li>New commands on command console.</li>
							<li>New folder creation support.</li>
							<li>New sortable project lists.</li>
							<li>New XHTML interface code.</li>
							<li>New Object Oriented JavaScript code.</li>
							<li>Use of Prototype and script.aculo.us frameworks.</li>
						</ul>
					</li>
				</ul>
				
				<h3>Awards</h3>
				<p>WebDevStudio has entered the final phase of the "I Concurso Universitario de Software Libre", a competition between free projects developed into the Spanish universities.</p>
						
            </div>
        </div>
		<?php include("foot_sections.php") ?>
    </div>
</body>
</html>
