<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

require("authentication_admin.php");

//Comprobamos si el formulario est� correctamente rellenado:
$user="";
$name="";
$description="";
$language="";
$platform="";
$application="";
$create_time=time();

if (isset($_POST['user'])) $user=$_POST['user'];
if (isset($_POST['name'])) $name=$_POST['name'];
if (isset($_POST['description'])) $description=$_POST['description'];
if (isset($_POST['platform'])) $platform=$_POST['platform'];
if (isset($_POST['language'])) $language=$_POST['language'];
if (isset($_POST['application'])) $application=$_POST['application'];

$error=0;
$mensaje_head = "Congratulations!";
$mensaje = "Your new project has been created successfully";
//No se han completado todos los campos
if (($user=='') || ($name=="") || ($language=="") || ($platform=="") || ($application=="")) {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="All obligatory fields must be completed";
	$error=1;
}
//else if (ereg("[\\/:*?\"<> |\']", $name) == TRUE) {
else if (preg_match("/[\\/:*?\"<> |\']/", $name) == TRUE) {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="The name of the project is incorrect.<br /><br />Please, don't use: \, /, :, *, ?, \", <, >,  , |, '";
	$error=1;
}
//El formulario esta correctamente rellenado
else {
	//Recogemos los datos de conexion de la base de datos
	require('../../config/connect_config.php');
	//Establecemos la conexion con el servidor
	$conexion=mysql_connect($db_host,$db_user,$db_password);
	//Asignamos la conexion a una base de datos determinada
	mysql_select_db($db_name,$conexion);
	//Preparamos los datos para almacenarlos correctamente en el BBDD
	$name=strtolower($name);
	//Recogemos en una variable el nombre de la TABLA
	$tabla="project";
	//Anadimos el nuevo registro
	$query="INSERT $tabla (user,name,description,language,platform,application,create_time) VALUES ('$user','$name','$description','$language','$platform', '$application', $create_time)";
	mysql_query($query, $conexion);
			 
	//Comprobamos el resultado de la insercion
	//el error CERO significa NO ERROR
	//el error 1062 significa Clave duplicada
	//en otros errores forzamos a que nos ponga el n�mero de error
	//y el significado de ese error (aunque sea en ingles)....
	if (mysql_errno($conexion)==0) {
		//Creamos el directorio del usuario
		mkdir("../../users/$user/$name", 0777);
		mkdir("../../users/$user/$name/.backups", 0777);
		chmod("../../users/$user/$name", 0777);
		chmod("../../users/$user/$name/.backups", 0777);
		
		//Indicamos que no ha habido errores
		$error=0;
	}
	else {
		if (mysql_errno($conexion)==1062){
			$mensaje_head="Sorry, there are errors with data";
			$mensaje = 'There is another project with this "'.$name.'" project name';
			$error=1;
		}
		else { 
			$numerror=mysql_errno($conexion);
        	$descrerror=mysql_error($conexion);
			$mensaje_head="Sorry, there are errors with data";
        	$mensaje="Error nº $numerror: $descrerror";
			$error=1;
	    }
	}

	//Cerramos la conexion
	mysql_close($conexion); 
} 
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">	
	/*<![CDATA[*/
        function enviar() {
            document.project_admin_form.submit();
        }
        function volver() {
          	history.back();
        }		
	/*]]>*/    
    </script>
</head>
<body>
	<div id="all">
		<?php include("head_admin.php"); ?>
        <div id="content">
            <div id="content_left">        
            	<?php include("menu_projects_admin.php"); ?>        
            </div>
            
            <div id="content_center">
                <div id="result_server">
                	<h2><?php echo $mensaje_head ?></h2>
                    <p><?php echo $mensaje ?></p>
	                <?php if ($error==1) { ?>
    	            <!--<button onclick="volver()">Back</button>-->
                    <button onclick="enviar()">Back</button>
        	        <?php } ?>  
                    <form id="project_admin_form" name="project_admin_form" method="post" action="new_project_admin.php">
	                    <input type="hidden" name="user" value="<?php echo $user ?>">
                        <input type="hidden" name="name" value="<?php echo $name ?>">
                        <input type="hidden" name="description" value="<?php echo $description ?>">
                        <input type="hidden" name="platform" value="<?php echo $platform ?>">
                        <input type="hidden" name="language" value="<?php echo $language ?>">
                        <input type="hidden" name="application" value="<?php echo $application ?>">
                    </form>
                </div>
            </div>
        </div>
        <?php include("foot_admin.php"); ?>
	</div>
</body>
</html>
