<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/


require("../../authentication.php");
require("../../config/compile_config.php");

//Configuramos el path y el fichero de resultados
$path = urldecode($_REQUEST['path']);
$file = urldecode($_REQUEST['file']);
$user = $_SESSION['s_user'];
$name = $_SESSION['s_name'];
$language = $_SESSION['s_language'];
$platform = $_SESSION['s_platform'];
$application = $_SESSION['s_application'];

//Configuramos la ruta de los ficheros a manejar	
$compile_file = realpath($file);
$result_file = realpath($path).'/result.tmp';

//Comprobamos si el fichero a compilar es el adecuado
$long_extension = strlen($extensions[$language][0]);
$extension_file = strtolower(substr($file, strlen($file)-$long_extension, $long_extension));
if ($extension_file!=$extensions[$language][0]){
	$mensaje = "This file cannot be compiled. You can compile ". $language." files only.";

	//Escribimos que el fichero no es correcto 
	$fd=fopen($result_file,"a+");
	fwrite($fd, $mensaje);
	fclose($fd);
}
//Podemos compilar el fichero
else {
	//Seleccionamos el compilador adecuado
	$path_compiler = $compiler_path[$platform][$language][$application];

	//Saltamos al fichero de compilacion correspondiente
	include("../../compile/".$compile_module[$platform][$language][$application]);
}	

//Leemos los resultados generados	
readfile($result_file);

//Borramos el fichero de resultados
unlink($result_file);
	
?>